<?php

//////////////////////////////////////////////////////////////
//===========================================================
// addserver_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function addserver_theme(){

global $theme, $globals, $kernel, $user, $l, $ipblocks , $cluster, $error, $saved, $servergroups, $servers;

softheader($l['<title>']);

echo page_header($l['add_server'], 'icon icon-servers',$globals['docs'].'add-server/', 0, 0, '');

$breadcrumbs = array( 'dashboard', 'lm_servers', 'lms_addserver');

echo get_breadcrumb($breadcrumbs);

if(!empty($saved)){
	show_alert($l['added']);
}

error_handle($error);

foreach($servergroups as $k => $v){
	$sg_ha[$k] = $v['sg_ha'];
	
	if(!empty($sg_ha[$k])){
		$sg_ha_on[$k] = $v['sg_ha'];
	}
}

echo '<script language="javascript" type="text/javascript">
	
	function isHa(){
		
		var sgid = parseInt(document.getElementById("sgid").value);
		
		var sg_ha = ['.implode(',', array_keys($sg_ha_on)).'];
		if(sg_ha.indexOf(sgid) != -1){
			showalert("'.$l['ha_install'].'");
		}
	}
</script>

<div id="form-container" class="card p-2 mx-3">
	<form accept-charset="'.$globals['charset'].'" name="addippool" method="post" action="" class="form-horizontal">

		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['server_name'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['server_name_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4">
				<input type="text" class="form-control" name="server_name" id="server_name" size="30" value="'.POSTval('server_name','').'"/>
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['server_ip'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['server_ip_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4">
				<input type="text" class="form-control" name="ip" id="ip" size="30" value="'.POSTval('ip', '').'" />
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['server_pass'].'&nbsp;<a class="info" data-placement="right" tooltip="'.htmlizer($l['server_pass_exp']).'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4">
				<input type="text" class="form-control" name="pass" id="pass" size="30" value="'.POSTval('pass', '').'" />
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['internal_ip'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['internal_ip_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4">
				<input type="text" class="form-control" name="internal_ip" id="internal_ip" size="30" value="'.POSTval('internal_ip', @$serv['internal_ip']).'" />
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-4">
				<label class="control-label">'.$l['server_lock'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['server_lock_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-4">
				'.get_checkbox('locked').'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['server_group'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['server_group_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4 server-select-lg">
				<select name="sgid" id="sgid" class="custom-select virt-select" onchange="isHa();">';
				foreach($servergroups as $k => $v){
					echo '<option value="'.$v['sgid'].'">'.$v['sg_name'].'</option>';
				}
				echo'</select>
			</div>
		</div>
		<br/><br/>
		<div class="text-center my-4">
			<input type="submit" name="addserver" class="go_btn" value="'.$l['sub_but'].'" />
		</div>	
	</form>
</div>';
softfooter();

}

?>