<?php

//////////////////////////////////////////////////////////////
//===========================================================
// users_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function users_theme(){

global $theme, $globals, $kernel, $users, $l, $error, $done, $SESS;

softheader($l['<title>']);

$buttons = array(
	0 => array(
		'name' => $l['add_usr'],
		'act'  => 'adduser'
	)
);

echo page_header($l['usr_tit'], 'fas fa-users', '', 1, 0, $buttons);

$breadcrumbs = array( 'dashboard', 'lm_users', 'lms_users');

echo get_breadcrumb($breadcrumbs);

error_handle($error);

echo '<script language="javascript" type="text/javascript"><!-- // --><![CDATA[
var from_modal = 0;

function vpsmodal(uid){
	$("#conf_modal").modal("show");
	$("#saveset").attr("onclick", "from_modal=1;$(\"#conf_modal\").modal(\"hide\");action_chosen(\'delete\', "+uid+");");
};

function action_chosen(action, uid ,ele){
	
	action = action || "";
	uid = uid || 0;
	
	if(action == ""){
		if($(ele).parent().prev().find("select").val() == 0){
				showalert("'.$l['no_action'].'","1");
				return false;
		}else{
			action = $(ele).parent().prev().find("select").val();
		}
	}
	
	// List of ids to delete
	var usr_list = new Array();
	
	if(uid < 1){
		
		$(".ios:checked").each(function(){
			usr_list.push($(this).val());
		});
		
	}else{
		
		usr_list.push(uid);
		
	}
	
	if(usr_list.length < 1){
		showalert("'.$l['nothing_selected'].'","1");
		return false;
	}
	
	// Just check for delete action
	if(action == "delete" && from_modal == 0){
		vpsmodal();
		from_modal = 1;
		return true;
	}
	
	// To delete the user
	if(action == "delete"){
		
		showalert("'.$l['del_conf'].'" ,"3" ,function(confirm){
			if(confirm == false){
				return false;
			}else{
				var finalData = new Object();
				var dont_del_vm = $("#dvps").prop("checked");
		
				finalData["dont_delete_vms"] = (dont_del_vm == true ? 1 : 0);
				finalData["delete"] = usr_list.join(",");
				if(dont_del_vm == false){
					animate_task("'.$l['delvps_task'].'");
				}
				perform_action(finalData);
			}
		});
		
	// To suspend the user
	}else if(action == "suspend"){
		showalert("'.$l['suspend_conf'].'" ,"3" ,function(confirm){
			if(confirm == false){
				return false;
			}else{
				if(!empty(uid)){
					$("#showload_"+uid).show();
				}
				var finalData = new Object();
				finalData["suspend"] = usr_list.join(",");
				perform_action(finalData, uid);
				
			}
		});
		
	// To unsuspend the user	
	}else if(action == "unsuspend"){
		 showalert("'.$l['unsuspend_conf'].'" ,"3" ,function(confirm){
			if(confirm == false){
				return false;
			}else{
				if(!empty(uid)){
					$("#showload_"+uid).show();
				}
				var finalData = new Object();
				finalData["unsuspend"] = usr_list.join(",");
				perform_action(finalData, uid);
			}
		});
			
	// To Deactivate 2FA
	}else if(action == "deactivate_2fa"){
		showalert("'.$l['deactivate_2fa_conf'].'" ,"3" ,function(confirm){
			if(confirm == false){
				return false;
			}else{
				var finalData = new Object();
				finalData["deactivate_2fa"] = usr_list.join(",");
				perform_action(finalData);
			}
		});
		
	// To Activate User Account
	}else if(action == "activate_account"){
		showalert("'.$l['activate_account_conf'].'" ,"3" ,function(confirm){
			if(confirm == false){
				return false;
			}else{
				var finalData = new Object();
				finalData["activate_account"] = usr_list.join(",");	
				perform_action(finalData);
			}
		});
		
	// To Deactivate User Account
	}else if(action == "deactivate_account"){
		showalert("'.$l['deactivate_account_conf'].'" ,"3" ,function(confirm){
			if(confirm == false){
				return false;
			}else{
				var finalData = new Object();
				finalData["deactivate_account"] = usr_list.join(",");
				perform_action(finalData);
			}
		});
		
	// Not a valid action 
	}else{
		showalert("'.$l['no_action'].'","1");
		return false;
	}
	
	return false;
}

function perform_action(finalData, uid = 0){
	
	//alert(finalData);
	//return false;
	
	$("#progress_bar").show();
	$.ajax({
		type: "POST",
		url: "'.$globals['index'].'act=users&api=json",
		data : finalData,
		dataType : "json",
		success: function(data){
			$("#progress_bar").hide();
			if(!empty(uid)){
				$("#showload_"+uid).hide();
			}
			if("done" in data){
				setTimeout(function(){showalert("'.$l['action_completed'].'");
				$("#alert-modal").on("hidden.bs.modal", function (e) {
				location.reload(true);
				});} ,800);
			}
			
			if("error" in data){
				setTimeout(function(){showalert(data["error"],"1");
				$("#alert-modal").on("hidden.bs.modal", function (e) {
				location.reload(true);
				});} ,800);
			}
		},
		error: function(data) {
			if(!empty(uid)){
				$("#showload_"+uid).hide();
			}
			$("#progress_bar").hide();
			return false;
		}
	});
	
	return false;
}

// ]]></script>
<div class="card p-2 mx-3">
<div id="showsearch" class="mb-3" style="display:'.(optREQ('search') || (!empty($users) && !empty($globals['showsearch'])) ? "" : "none").';">
<form accept-charset="'.$globals['charset'].'" name="users" method="GET" action="" class="form-horizontal">
<input type="hidden" name="act" value="users">
<div class="form-group_head">
	<div class="row mx-auto w-100">
		<div class="col-sm-4">
			<label for="input text">'.$l['search_id'].'</label>
			<input type="text" class="form-control" name="uid" id="uid" size="15" value="'.REQval('uid','').'" />
		</div>
		<div class="col-sm-4">
			<label for="input text" class="control-label">'.$l['search_email'].'</label>&nbsp;<i class="fas text-primary fa-info-circle" tooltip="'.$l['wiki_help'].'"></i>
			<input type="text" class="form-control" name="email" id="email" size="30" value="'.REQval('email', '').'" />
		</div>
		<div class="col-sm-4">
			<label for="input text" class="control-label">'.$l['search_type'].'</label>
			<select name="type" class="custom-select" id="user_type">
				<option value="-1">---</option>
				<option value="0" '.REQselect('type', '0').'>'.$l['User'].'</option>
				<option value="1" '.REQselect('type', '1').'>'.$l['Admin'].'</option>
				<option value="2" '.REQselect('type', '2').'>'.$l['Cloud'].'</option>
			</select>
		</div>
	</div>
	<div class="row mx-auto w-100 my-2">
		<div class="col-sm-12 text-center">
			<button type="submit" name="search" class="go_btn sm_space mt-2" value="Search">'.$l['submit'].'</button>
		</div>
	</div>
</div>
</form>

</div>';

if($done){
	show_alert($l['saved']);
}

if(empty($users)){
	optREQ('search') ? show_alert($l['no_res'], "2") : show_alert($l['no_users'], "2");
	echo '<div class="notice"><b>'.$l['note'].' : </b> &nbsp;'.(optREQ('search') ? $l['no_res'] : $l['no_users']).'</div>';
}
else{
	echo'<div class="row mx-auto w-100 mb-3">
	<div class="col-sm-8 col-lg-8 col-md-6 d-flex align-items-center p-0">';
		page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
	echo get_num_records($globals['num_res']).'
	</div>
	<div class="col-sm-4 col-lg-4 col-md-6 text-right d-flex align-items-center">
		<div class="bottom-menu float-right w-100">
			<div class="row my-auto">
				<div class="p-0">
					<label>'.$l['with_selected'].'</label>
				</div>
				<div class="col p-0">
					<select name="user_task_select" class="custom-select" id="user_task_select">
						<option value="0">---</option>
						<option value="delete">'.$l['ms_delete'].'</option>
						<option value="suspend">'.$l['ms_suspend'].'</option>
						<option value="unsuspend">'.$l['ms_unsuspend'].'</option>
						<option value="deactivate_2fa">'.$l['ms_deactivate_2fa'].'</option>
						<option value="activate_account">'.$l['activate'].'</option>
						<option value="deactivate_account">'.$l['deactivate'].'</option>
					</select>
				</div>
				<div class="pl-2">
					<button type="submit" class="go_btn" id="user_submit" name="user_submit" onclick="action_chosen(\'\', 0, this); return false;">'.$l['go'].'</button>
				</div>
			</div>
		</div>
	</div>
</div>
<form accept-charset="'.$globals['charset'].'" name="multi_users" id="multi_users" method="post" action="" class="form-horizontal">
<div class="w-100 mx-auto sticky">
<table class="table table-hover tablesorter common-table">
	<tr class="table_heading">
		<th class="z-index-1 min_width" align="center">
			'.get_checkbox('select_all', '', 'select_all', array('chk_it' => 0), '', 'select_all').'
		</th>
		<th  class="min_width" align="center">'.$l['usr_id'].'</th>
		<th align="center">'.$l['search_email'].'</th>
		<th align="center" width="100">'.$l['usr_type'].'</th>
		<th align="center" width="90">'.$l['no_of_vps'].'</th>
		<th align="center" width="140">'.$l['bw_used'].'</th>
		<th align="center" width="90">'.$l['curr_usage'].'&nbsp;<i class="fa fa-1x fa-credit-card" tooltip="'.$l['curr_usage_exp'].'"></i></th>
		<th align="center" class="min_width">'.$l['status'].'</th>
		<th align="center" class="min_width">'.$l['2fa_status'].'</th>
		<th class="text-right pr-3" colspan="3">'.$l['manage'].'</th>
	</tr>
	<tbody>';

$i = 1;
$user = array('user', 'admin', 'cloud_users');

foreach($users as $k => $v){	
	$parent = !empty($users[$v['pid']]['email']) ? "(".$users[$v['pid']]['email'].")" : "";
	echo '<tr>
			<td width="20" valign="middle" align="center">
				'.get_checkbox('user_list[]', '', '', array('chk_it' => 0), $k).'
			</td>
			<td align="center">'.$v['uid'].'</td>
			<td><div class="d-flex align-items-center">
			<a class="userflare font-weight-bold" href="https://'.$globals['HTTP_HOST'].':4083/'.$SESS['token_key'].'/index.php?suid='.$k.'" target="_blank">
			'.$v['email'].' '.$parent.' '.(!empty($v['preferences']['phone']) ? '&nbsp;<i class="fas fa-mobile-alt" tooltip="'.$v['preferences']['phone'].'"</i>' : '').'<div class="ml-2 loader" id="showload_'.$k.'" style="display:none;"></div></a></div></td>
			<td align="left" class="user_table d-flex align-items-end">
				<img class="mr-2" src="'.$theme['svg'].''.$user[$v['type']].'.svg" title="'.$l['is_cloud_user'].'">
				<span class="usr_small">'.(empty($l['user_'.$v['type']])?'null':$l['user_'.$v['type']]).'</span>
			</td>
			<td align="center">'.(empty($v['numvps']) ? 0 : $v['numvps']).'</td>
			<td align="center">'.(empty($v['bw_used']) ? 0 : $v['bw_used']).' GB</td>
			<td align="center">'.(empty($globals['inhouse_billing']) ? $l["na"] : (empty($v['inhouse_billing'] ) ? $l["na"] : $globals['billing_symbol']. $v['cur_usage'])).'</td>
			<td align="center">
				<!--<i class="fas fa-circle '.(($v['act_status'] != 1) ? "fa-circle-red" : "fa-circle-green").'" title="'.(($v['act_status'] != 1) ? $l['status_inactive'] : $l['status_active']).'"></i>-->
				<h5 class="p-0 m-0"><a class="badge '.(($v['act_status'] != 1) ? 'badge-danger' : 'badge-success').'" title="'.(($v['act_status'] != 1) ? $l['status_inactive'] : $l['status_active']).'">'.(($v['act_status'] != 1) ? $l['inactive'] : $l['active']).'</a></h5>
			</td>
			<td align="center">
				<div class="badge">
					<h5 class="p-0 m-0"><a class="badge '.(empty($v['2fa_status']) ? 'badge-lock' : 'badge-unlock').'" title="'.(empty($v['2fa_status']) ? $l['2fa_status_off'] : $l['2fa_status_on']).'"><i class="icon icon-ssl fa-2x" title="'.(empty($v['2fa_status']) ? $l['2fa_status_off'] : $l['2fa_status_on']).'"></i></a></h5>
				</div>
			</td>
			<td width="20" valign="middle" align="center">
				<div class="badge badge_container">
					<a class="badge badge-manage" href="'.$globals['ind'].'act=edituser&uid='.$k.'" title="'.$l['edit_usr'].'"><i class="fas fa-pencil-alt"></i></a>
					'.(empty($v['suspended']) ? '<a class="badge badge-trash" href="javascript:void(0);" onclick="return action_chosen(\'suspend\', '.$k.');"  title="'.$l['suspend_user'].'"><i class="fas fa-pause h6 m-0"></i></a>' : '<a class="badge badge-manage" href="javascript:void(0);" onclick="return action_chosen(\'unsuspend\', '.$k.');"  title="'.$l['unsuspend_user'].'"><i class="fas fa-play h6 m-0"></i></a>').'
					<a class="badge badge-trash" href="javascript:void(0);" onclick="vpsmodal('.$k.');"  title="'.$l['del_usr'].'"><i class="fas fa-trash"></i></a>
				</div>
			</td>
		</tr>';
	
	$i++;
}

echo '</tbody></table>
</div>';
echo'<div class="row mx-auto w-100 mt-5">
	<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
		page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
	echo'
	</div>
	<div class="col-sm-4 col-lg-4 col-md-6 text-right mb-3">
		<div class="bottom-menu float-right w-100">
			<div class="row my-auto">
				<div class="p-0">
					<label>'.$l['with_selected'].'</label>
				</div>
				<div class="col p-0">
					<select name="user_task_select" class="custom-select" id="user_task_select">
						<option value="0">---</option>
						<option value="delete">'.$l['ms_delete'].'</option>
						<option value="suspend">'.$l['ms_suspend'].'</option>
						<option value="unsuspend">'.$l['ms_unsuspend'].'</option>
						<option value="deactivate_2fa">'.$l['ms_deactivate_2fa'].'</option>
						<option value="activate_account">'.$l['activate'].'</option>
						<option value="deactivate_account">'.$l['deactivate'].'</option>
					</select>
				</div>
				<div class="pl-2">
					<button type="submit" class="go_btn" id="user_submit" name="user_submit" onclick="action_chosen(\'\', 0, this); return false;">'.$l['go'].'</button>
				</div>
			</div>
		</div>
	</div>
</div>
</form>
<div id="progress_bar" class="my-3" style="display:none;">
	<br />
	<center>
		<font id="progress_txt" size="4">'.$l['action_msg'].'</font>
	</center>
	<div class="my-2" align="center">
		<div class="progress w-50">
			<div class="progress-bar bg-primary progress-bar-striped progress-bar-animated w-100">
			</div>
		</div>
	</div>
	<center>
		'.$l['notify_msg'].'
	</center>
</div>

<div class="modal fade" role="dialog" id="conf_modal">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header" id="conf_modal_head">				
				<span class="fhead text-always-white">'.$l['dont_destroy_vps_header'].'</span>
				<button type="button" class="close text-always-white" data-dismiss="modal" aria-hidden="true">&times;</button>
			</div>
			<div class="modal-body" id="conf_modal_body">
				<div class="row">
					<div class="col-xs-10 col-sm-6">
						<label class="control-label">'.$l['dont_destroy_vps'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['dont_destroy_vps_help'].'"><i class="fas text-primary fa-info-circle"></i></a></label> 
					</div>
					<div class="col-xs-2 col-sm-6">
						'.get_checkbox('dvps', '', 'dvps').'
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" id="saveset" class="go_btn">'.$l['dont_destroy_vps_continue'].'</button>
			</div>
		</div>
	</div>
</div>';  

}// End of else

echo '<div class="text-center my-4"><a href="'.$globals['ind'].'act=adduser" class="link_btn">'.$l['add_usr'].'</a>
</div>
<br><div class="notice" align="left">'.$l['clous_user_band_note'].'</div></div><br>

';
softfooter();

}
?>