<?php

//////////////////////////////////////////////////////////////
//===========================================================
// add_distro_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function add_distro_theme(){

global $theme, $globals, $kernel, $user, $l, $oslist , $error, $done, $mgs, $distros, $editdistro;

softheader(empty($editdistro) ? $l['<title_add>'] : $l['<title_edit>']);

echo page_header((empty($editdistro) ? $l['tit_add_distro'] : $l['tit_edit_distro']), 'fas fa-compact-disc', '', 0, 0, '', '');

$breadcrumbs = array('dashboard', 'lm_ostemplates', 'lms_add_distro');

echo get_breadcrumb($breadcrumbs);

error_handle($error);

if(!empty($done)){
	show_alert($l['done']);
}

echo '
<div class="card p-2 mx-3 mb-3">
<div id="form-container">
<form accept-charset="'.$globals['charset'].'" id="add_distro" name="add_distro" method="post" action="" class="form-horizontal">
<div class="row mx-auto w-100 my-3">
	<div class="col-sm-4"><label class="control-label">'.$l['distro'].'</label></div>
	<div class="col-sm-4">
		<input type="text" id="distro" class="form-control" name="distro" value="'.(!empty($editdistro) ? @$distros[$editdistro]['distro'] : POSTval('distro', @$distros[$editdistro]['distro'])).'" '.(!empty($editdistro) ? 'disabled="disabled"' : '').'/>
		<span class="help-block"></span>
	</div>
</div>
<div class="row mx-auto w-100 my-3">
	<div class="col-sm-4">
		<label class="control-label">'.$l['distro_name'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['distro_name_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
	</div>
	<div class="col-sm-4">
		<input type="text" id="distro_name" class="form-control" name="distro_name" value="'.POSTval('distro_name', @$distros[$editdistro]['name']).'">
		<span class="help-block"></span>
	</div>
</div>
<div class="row mx-auto w-100 my-3" id="distro_desc">
	<div class="col-sm-4">
		<label class="control-label">'.$l['distro_desc'].'</label><br />
	</div>
	<div class="col-sm-4">
		<textarea class="form-control" name="distro_desc" rows="4" cols="50">'.POSTval('distro_desc', @$distros[$editdistro]['desc']).'</textarea>
		<span class="help-block"></span>
	</div>
</div>
<div class="row mx-auto w-100 my-3">
	<div class="col-sm-4">
		<label class="control-label">'.$l['distro_logo'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['distro_logo_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
	</div>
	<div class="col-sm-4"><input type="text" class="form-control" name="distro_logo" id="distro_logo" size="40" value="'.POSTval('distro_logo', @$distros[$editdistro]['logo']).'"/></div>
</div>
<div class="row mx-auto w-100 my-3">
	<div class="col-sm-4">
		<label class="control-label">'.$l['distro_screenshot'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['distro_screenshot_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
	</div>
	<div class="col-sm-4"><input type="text" class="form-control" name="distro_screenshot" id="distro_screenshot" size="40" value="'.POSTval('distro_screenshot', @$distros[$editdistro]['screenshot']).'"/></div>
</div>
<br /><br />
<center><input type="submit" name="add_distro" value="'.(empty($editdistro) ? $l['submit_add'] : $l['submit_edit']).'" class="go_btn"></center>
<br /><br />
</form>
</div>
</div>';

softfooter();

}

?>