<?php

//////////////////////////////////////////////////////////////
//===========================================================
// ippool_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function ippool_theme(){

global $theme, $globals, $servers, $user, $l, $cluster, $error, $ippools, $done, $ippool_servers, $servergroups, $ipgp;

softheader($l['<title>']);

$buttons = array(0 => array(
	'name' => $l['add_ippool'], 
	'act' => 'addippool')
);

echo page_header($l['ip_pool'], 'icon icon-ippool','', 1, 0, $buttons);

$breadcrumbs = array('dashboard', 'lm_ippool','lms_ippool');

echo get_breadcrumb($breadcrumbs);

error_handle($error); 

echo '<script language="javascript" type="text/javascript"><!-- // --><![CDATA[

function Delippool(ippid, ele){

	ippid = ippid || 0;
	
	// List of ids to delete
	var ippid_list = new Array();
	
	if(ippid < 1){
		
		if($(ele).parent().prev().find("select").val() != 1){
			showalert("'.$l['no_action'].'", "1");
			return false;
		}
		
		$(".ios:checked").each(function() {
			ippid_list.push($(this).val());
		});
		
	}else{
		
		ippid_list.push(ippid);
		
	}

	var finalData = new Object();
	finalData["delete"] = ippid_list.join(",");
	
	if(ippid_list.length < 1){
		showalert("'.$l['nothing_selected'].'","1");
		return false;
	}
	
	showalert("'.$l['del_conf'].'","3" ,function(confirm){
		if(confirm == false){
			return false;
		}else{
			$("#progress_bar").show();
	
			$.ajax({
				type: "POST",
				url: "'.$globals['index'].'act=ippool&api=json",
				data : finalData,
				dataType : "json",
				success: function(data){
					$("#progress_bar").hide();
					if("done" in data){
						setTimeout(function(){
							showalert("'.$l['action_completed'].'")
							$("#alert-modal").on("hidden.bs.modal", function (e) {
							location.reload(true);
							});
						} ,200);
					}
					if("error" in data){
						setTimeout(function(){showalert(data["error"],"1")},200);
					}
					
				},
				error: function(data) {
					$("#progress_bar").hide();
					//alert(data.description);
					return false;
				}
			});
		}
	});
	
	return false;
};

// ]]></script>
	<div class="card mx-3 p-2">
		<div id="showsearch" style="display:'.(optREQ('search') || (!empty($ippools) && !empty($globals['showsearch'])) ? "" : "none").';">
			<form accept-charset="'.$globals['charset'].'" name="ippool" method="GET" action="" class="form-horizontal">
				<input type="hidden" name="act" value="ippool">
				<div class="form-group_head">
				<div class="row mx-auto w-100">
					<div class="col-md-4">
						<label>'.$l['poolname'].'</label>
						<input type="text" class="form-control" name="poolname" id="poolname" size="30" value="'.REQval('poolname','').'"/>
					</div>
					<div class="col-md-4">	
						<label>'.$l['poolgateway'].'</label>
						<input type="text" class="form-control" name="poolgateway" id="poolgateway" size="30" value="'.REQval('poolgateway','').'"/>
					</div>
					<div class="col-md-4">
						<label>'.$l['netmask'].'</label>
						<input type="text" class="form-control" name="netmask" id="netmask" size="30" value="'.REQval('netmask', '').'" />
					</div>
				</div>
				<div class="row mx-auto w-100">
					<div class="col-md-4">
						<label>'.$l['nameserver'].'</label>
						<input type="text" class="form-control" name="nameserver" id="nameserver" size="30" value="'.REQval('nameserver', '').'" />
					</div>
					<div class="col-md-4">
						<label>'.$l['ipp_server'].'</label>
						<select name="servers_search" id="servers_search" class="form-control virt-select">
							<option value="-1" '.REQselect('servers_search', -1).'>'.$l['all_servers'].'</option>';
						
							foreach($servers as $key => $id){
								echo '<option value="'.$key.'" '.REQselect('servers_search', $key).'>'.$id['server_name'].'</option>';
							}
					echo '</select>
					</div>	
				</div>
				<div class="row mx-auto w-100 my-2">
					<div class="col-sm-12 text-center"><button type="submit" name="search" class="go_btn mt-2" value="Search"/>'.$l['submit'].'</button></div>
				</div>  
				</div>
			</form>
		</div>';

if(!empty($done)){
	show_alert($l['done']);
}

if(empty($ippools)){
	optREQ('search') ? show_alert($l['no_res'], "2") : show_alert($l['no_pools'], "2");
	echo '<div class="notice"><b>'.$l['note'].' : </b> &nbsp; '.(optREQ('search') ? $l['no_res'] : $l['no_pools']).'</div>';
	
}else{
	
	$i = 1;

		echo'
		<div class="row w-100 mx-0 mb-3">
			<div class="col-sm-8 col-lg-8 col-md-6 p-0 mb-3 mb-md-0 mb-lg-0">';
				page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
				echo''.get_num_records(count($ippools)).'
			</div>
			<div class="col-sm-4 col-lg-4 col-md-6 text-right">
				<div class="bottom-menu float-right w-100">
					<div class="row mx-1">
						<div class="col-4 p-0">
							<label class="float-end">'.$l['with_selected'].'</label>
						</div>
						<div class="col-6 p-0">
							<select name="ippool_task_select" id="multi_options" class="custom-select">
								<option value="0">---</option>
								<option value="1">'.$l['delete'].'</option>
							</select>
						</div>
						<div class="col-2">
							<input type="submit" id ="ippool_submit" class="go_btn" name="ippool_submit" value="'.$l['go'].'" onclick="Delippool(0 ,this); return false;">
						</div>
					</div>
				</div>
			</div>
		</div>
		<form accept-charset="'.$globals['charset'].'" name="multi_ippool" id="multi_ippool" method="post" action="" class="form-horizontal">
			<div class="w-100 mx-auto sticky">
				<table class="table table-hover tablesorter common-table">
					<tr class="table_heading">
						<th class="z-index-1 min_width">
							'.get_checkbox('select_all', '', 'select_all', array('chk_it' => 0), '', 'select_all').'
						</th>
						<th align="center" class="min_width">'.$l['pool_id'].'</th>
						<th align="center" class="w-25">'.$l['pool_name'].'</th>
						<th align="center" class="w-25">'.$l['ipp_server'].'</th>
						<th align="center">'.$l['type'].'</th>
						<th align="center" class="min_width">'.$l['subnet-nat'].'</th>
						<th align="center" class="min_width">'.$l['vlan'].'</th>
						<th align="center" class="min_width">'.$l['internal'].'</th>
						<th align="center" class="min_width">'.$l['total_ip'].'</th>
						<th align="center" class="min_width"><span title="'.$l['locked_title'].'">'.$l['locked_head'].'</span></th>
						<th align="center" class="min_width">'.$l['free_ip'].'</th>
						<th align="center" class="min_width">'.$l['unasssigned_ip'].'</th>
						<th align="center" style="width:10%">'.$l['subnets'].'</th>
						<th class="text-right" colspan="3">'.$l['manage'].'</th>
					</tr>';

				foreach($ippools as $k => $v){

				echo '<tr>
						<td width="20" valign="top" align="center">
							'.get_checkbox('ippool_list[]', '', '', array('chk_it' => 0), $k).'
						</td>
						<td align="center">'.$k.'</td>
						<td>'.$v['ippool_name'].'&nbsp;<i class="fas text-primary fa-info-circle" tooltip="'.$l['poolgateway'].': '.$v['gateway'].'<br>'.$l['netmask'].' : '.$v['netmask'].'"></i>'.(!empty($v['email']) ? '&nbsp;<i class="fas text-dark fa-user-shield" tooltip="'.$v['email'].'"></i>' : '').'</td>
						<td style="word-break:break-all;">'.implode("<span class=''>",$ipgp[$v['ippid']]).'</span></td>
						<td align="center">'.($v['ipv6'] ? '<font color="green">IPv6</font>' : 'IPv4').'</td>
						<td align="center">'.(empty($v['nat']) ? '<i class="fas fa-times"></i>' : '<font color="#7FB77E"><i class="fas fa-check"></i></font>').'</td>
						<td align="center">'.(empty($v['vlan']) ? '<i class="fas fa-times"></i>' : '<font color="#7FB77E"><i class="fas fa-check"></i></font>').'</td>
						<td align="center">'.(empty($v['internal']) ? '<i class="fas fa-times"></i>' : '<font color="#7FB77E"><i class="fas fa-check"></i></font>').'</td>
						<td align="center">'.(empty($v['totalip']) ? 0 : '<a class="linkflare" href="'.$globals['ind'].'act=ips&ippid='.$k.'" class="text-decoration-none" tooltip="'.$l['view_ips'].'">'.$v['totalip'].'</a>').'</td>
						<td align="center">'.(empty($v['total_locked_ips']) ? '0' : '<a class="linkflare" href="'.$globals['ind'].'act=ips&ippid='.$k.'&lockedsearch=showlocked" class="text-decoration-none" tooltip="'.$l['view_ips'].'">'.$v['total_locked_ips'].'</a>').'</td>
						<td align="center">'.(empty($v['freeip']) ? 0 : $v['freeip']).'</td>
						<td align="center">'.(empty($v['unassignedip']) ? 0 : $v['unassignedip']).'</td>
						<td align="left">'.(empty($v['subnets']) ? '' : '<a class="linkflare" href="'.$globals['ind'].'act=ipranges&ippid='.$k.'" class="text-decoration-none" tooltip="'.$l['view_subnets'].'">'.(empty($v['subnets']) ? 0 : $v['subnets']).' ('.(empty($v['free_subnets']) ? 0 : $v['free_subnets']).' '.$l['free_subnet'].')</a>').'</td>
						<td class="text-center">
							<div class="badge_container">
								<a class="badge badge badge-settings" href="'.$globals['ind'].'act=addips&ippid='.$k.'" title="'.$l['add_ip'].'"><i class="fas fa-plus "></i></a>
								<a class="badge badge-manage" href="'.$globals['ind'].'act=editippool&ippid='.$k.'" title="'.$l['edit_pool'].'"><i class="fas fa-pencil-alt"></i></a>
								<a class="badge badge-trash" href="javascript:void(0);" onclick="return Delippool('.$k.');"  title="'.$l['del_pool'].'"><i class="fas fa-trash"></i></a>
							</div>
						</td>
					</tr>';
					
					$i++;
				}
				echo 
				'</table>
			</div>
		</form>';
		echo
		'<div class="row w-100 mt-5 mx-0">
			<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
				page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
				echo'
			</div>
			<div class="col-sm-4 col-lg-4 col-md-6 text-right mb-3">
				<div class="bottom-menu float-right w-100">
					<div class="row mx-1">
						<div class="col-4 p-0">
							<label class="float-end">'.$l['with_selected'].'</label>
						</div>
						<div class="col-6 p-0">
							<select name="ippool_task_select" id="multi_options" class="custom-select">
								<option value="0">---</option>
								<option value="1">'.$l['delete'].'</option>
							</select>
						</div>
						<div class="col-2">
							<input type="submit" id ="ippool_submit" class="go_btn" name="ippool_submit" value="'.$l['go'].'" onclick="Delippool(0 ,this); return false;">
						</div>
					</div>
				</div>
			</div>
		</div>
		<div id="progress_bar" style="display:none;">
			<br /><br>
			<center>
				<font id="progress_txt" size="4">'.$l['action_msg'].'</font>
				<br>
			</center>
			<div class="my-2" align="center">
				<div class="progress w-50">
					<div class="progress-bar bg-primary progress-bar-striped progress-bar-animated w-100">
					</div>
				</div>
			</div>
			<center>
				'.$l['notify_msg'].'
			</center>
		</div>';

	}

	echo 
	'<br>
		<div class="text-center my-3">
			<a href="index.php?act=addippool" class="go_btn">'.$l['add_ippool'].'</a>
		</div>
	</div>';

softfooter();

}

?>