<?php

//////////////////////////////////////////////////////////////
//===========================================================
// maintenance_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function maintenance_theme(){

global $theme, $globals, $cluster, $user, $l, $info, $error, $done, $servers;

softheader($l['<title>']);

echo page_header($l['heading'], 'fas fa-wrench', '', 0, 0, '', '');

$breadcrummbs = array('dashboard', 'lm_config', 'lms_maintenance');

echo get_breadcrumb($breadcrummbs);

error_handle($error, '100%');

if(!empty($done)){
	show_alert($l['change_final']);
}

// Is it offline ?
$hypervisor_status = $cluster->statewise($globals['server']);
if($hypervisor_status == 0 || $hypervisor_status == 2){
	show_alert($l['server_status_'.$hypervisor_status]);
	echo '<div class="e_notice"><b>'.$l['note'].' : </b> &nbsp; '.$l['server_status_'.$hypervisor_status].'</div>';
	
}else{

echo '
	<div class="card p-2 mx-3 mb-3">
		<div class="row mx-auto w-100 my-2">
			<div class="col-sm-12">
				<font size="3"> '.$l['maintenance_server'].': <em><b>' . $servers[$globals['server']]['server_name'] .'</b> ID: ' . $globals['server'] . '</em></font>
			</div>
		</div>



		<div id="form-container">
			<form accept-charset="'.$globals['charset'].'" name="maintenance" method="post" action="" class="form-horizontal">

			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-4">
					<label class="control-label">'.$l['soft_off'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['soft_off_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-4">
					'.get_checkbox('off', '', '', array('chk_it' => 1, 'val' => $info['off'])).'
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-4">
					<label class="control-label">'.$l['off_sub'].'</label>
				</div>
				<div class="col-sm-4">
					<input type="text" class="form-control" name="off_subject" size="30" value="'.POSTval('off_subject', $info['off_subject']).'" />
					<span class="help-block"></span>
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-4">
					<label class="control-label">'.$l['off_message'].'</label>
				</div>
				<div class="col-sm-4">
					<textarea class="form-control" name="off_message" cols="30" rows="6">'.POSTval('off_message', $info['off_message']).'</textarea>
				</div>
			</div>


		</div>
<br>
<p align="center"><input type="submit" name="maintenance" value="'.$l['edit_settings'].'" class="go_btn"/></p>


</form>
</div>
';



}

softfooter();

}
