<?php

//////////////////////////////////////////////////////////////
//===========================================================
// userlogs_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function userlogs_theme(){

global $theme, $globals, $kernel, $user, $l, $error, $userlogs;

softheader($l['<title>']);

echo '
<script language="javascript" type="text/javascript">
	function confirm(){
		showalert("'.$l['del_conf'].'", "3", function(confirm){
			if(confirm == true){
				$("#delete").submit();
			}
		});
		return false;
	}
</script>';

echo page_header($l['heading'], 'fas fa-clipboard-list', '', 1);

$breadcrumbs = ['dashboard', 'lm_logs', 'lms_userlogs'];

echo get_breadcrumb($breadcrumbs);

echo '<div class="card p-2 mx-3">

<div id="showsearch" style="display:'.(optREQ('search') || (!empty($userlogs) && !empty($globals['showsearch'])) ? "" : "none").';" class="mt-3">
<form accept-charset="'.$globals['charset'].'" name="userlogs" method="get" action="" class="form-horizontal">
<input type="hidden" name="act" value="userlogs">
		
<div class="form-group_head">
  <div class="row mx-auto w-100">
    <div class="col-sm-3"></div>
	<div class="col-sm-3">
		<label>'.$l['vpsid'].'</label>
		<input type="text" class="form-control" name="vpsid" id="vpsid" size="30" value="'.REQval('vpsid','').'"/>
	</div>
	<div class="col-sm-3">
		<label>'.$l['email'].'</label>
		<input type="text" class="form-control" name="email" id="email" size="30" value="'.REQval('email','').'"/>
	</div>
  </div>
  <div class="row my-2 mx-auto w-100">
  	<div class="col-sm-12 text-center"><button type="submit" name="search" class="go_btn mt-2" value="Search"/>'.$l['search'].'</button></div>
  </div>
</div>
</form>
</div>';

if(empty($userlogs)){
	optREQ('search') ? show_alert($l['no_res'], "2") : show_alert($l['no_userlogs'], "2");
	echo '<div class="notice"><b>NOTE : </b>&nbsp; '.$l['no_userlogs'].'</div>';
}
else{
	echo'<div class="row mx-auto w-100 mb-3">
		<div class="col-sm-8 col-lg-8 col-md-6 d-flex align-items-center p-0">';
			page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
		echo get_num_records($globals['num_res']).'
		</div>
	</div>
	<div class="w-100 mx-auto sticky">
	
	<table class="table table-hover tablesorter common-table">
		<tr class="table_heading">
			<th width="240" align="center">'.$l['user'].'</th>
			<th width="60" align="center">'.$l['vpsid'].'</th>
			<th width="180" align="center">'.$l['date'].'</th>
			<th width="60" align="center">'.$l['task_id'].'</th>
			<th width="200" align="center">'.$l['task'].'</th>
			<th width="50" align="center">'.$l['status'].'</th>
			<th align="center">'.$l['ip'].'</th>
		<tr>';
	$i = 0;
	foreach($userlogs as $k => $v){
		
	echo '<tr>
			<td><span class="userflare">'.$v['email'].'</span></td>
			<td align="left">'.$v['vpsid'].'</td>
			<td>'.datify($v['time']).'</td>
			<td>'.$v['actid'].'</td>
			<td>'.action_text($v['action'], $v['data']).'</td>
			<td align="center">'.($v['status'] == 1 ? 'Successful' : '<font color="#FF0000">Failed</font>').'</td>
			<td>'.$v['ip'].'</td>
		  </tr>';
		  $i++;
	}
	
	echo '</table></div>';
	echo'<div class="row mx-auto w-100 mt-5">
		<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
			page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
		echo'
		</div>
	</div>
	<form  id="delete" accept-charset="'.$globals['charset'].'" name="userlogs" method="post" action="" class="form-horizontal">
		<input type="hidden" name="delete" value="1"></input> 
		<center><input type="button" value="'.$l['delete'].'" class="btn" onclick="confirm();"></center>
	</form>';
}
echo '</div>';
softfooter();

}

?>