<?php

//////////////////////////////////////////////////////////////
//===========================================================
// addbackupserver_lang.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

$l['slave_cant'] = 'Add Backup Server Error';
$l['slave_cant_exp'] = 'Slave servers are not allowed to add backup servers!';
$l['no_name'] = 'Please specify a unique name for the FTP server';
$l['no_hostname'] = 'Please specify the hostname';
$l['no_type'] = 'Please specify the Type';
$l['no_username'] = 'Please specify the username';
$l['no_password'] = 'Please specify the password';
$l['no_port'] = 'Please specify the port';
$l['no_dir'] = 'Please specify the upload directory';
$l['nameexist'] = 'This name already exists';
$l['err_add_backupserver'] = 'There was an error while adding the backup server';
$l['nameexist'] = 'A backup server of this name already exists';
$l['err_save_slave'] = 'There was an error while saving the '.VM_SHORT.' Data on the slave. Please make sure that the Slave server is working.';
$l['extension_not_found'] = 'SSH extension not loaded properly. Please restart the Virtualizor service with the following command : <b>service virtualizor restart</b>';
$l['not_available'] = 'This feature is currently not available in XenServer';

//Theme Settings
$l['<title>'] = 'Add Backup Server';
$l['add_backupserver'] = 'Add Backup Server';
$l['done'] = 'The Backup Server has been saved. Return to <a href="'.$globals['index'].'act=backupservers">Backup Servers Overview</a>';
$l['name'] = 'Name';
$l['exp_name'] = 'Unique name for the Backup Server';
$l['hostname'] = 'Hostname';
$l['exp_hostname'] = 'Valid TLD or IP Address of the server';
$l['type'] = 'Type';
$l['username'] = 'Username';
$l['password'] = 'Password';
$l['port'] = 'Port';
$l['dir'] = 'Directory';
$l['exp_dir']= 'The directory on the server to upload';
$l['submit'] = 'Submit';

$l['sshkey'] = 'Use SSH key';
$l['sshpubkey'] = 'SSH Public Key';
$l['sshprikey'] = 'SSH Private Key';
$l['ssh_exp'] = 'If enabled, SSH key will be used for backup server connection instead of password';
$l['no_ssh_key_err'] = 'Please Provide SSH keys';
$l['invalid_pub_key'] = 'The public key you specified is invalid';
$l['ssh_key_con_err'] = 'Could not connect to the server with SSH keys you specified. The key is invalid or not added the public key in authorized_keys file on backup server';
$l['genkey'] = 'Generate SSH keys';
$l['gen_key_exp'] = 'If enabled, then public and private key will be automatically generated';
$l['ftps'] = 'Use FTP(s)';

//dropbox
$l['dropbox'] = 'Dropbox';
$l['dropbox_alert_prompt'] = 'You will be prompted to provide access to your Dropbox on submitting the form';
$l['no_dropbox_access'] = 'Please authorize Virtualizor App in your Dropbox';
$l['access_token_gen_failed'] = 'Dropbox : Access token not found in the response';
$l['refresh_token_gen_failed'] = 'Dropbox : Refresh token not found in the response';

//gdrive
$l['gdrive'] = 'Google Drive';
$l['gdrive_alert_prompt'] = 'You will be prompted to provide access to your Google Drive on submitting the form';
$l['gdrive_err_init'] = 'There were some errors while initiating the backup on Google Drive!!';
$l['gdrive_err_end'] = 'There were some errors while committing backup to your Google Drive account!!';
$l['gdrive_token_gen_failed'] = 'Failed to generate Google Drive Access Token';
$l['gdrive_err_access_denied'] = 'It seems you cancelled the authorization process';

//microsoft onedrive
$l['onedrive'] = 'Microsoft OneDrive';
$l['onedrive_auth_message'] = 'You will be prompted to provide access to your OneDrive on submitting the form';
$l['onedrive_err_access_denied'] = 'It seems you cancelled the authorization process';
$l['onedrive_token_gen_failed'] = 'Failed to generate OneDrive Access Token';

//amazaon s3
$l['aws_s3bucket'] = 'S3';
$l['aws_endpoint'] = 'S3 Endpoint';
$l['aws_endpoint_exp'] = 'Enter your S3 Endpoint e.g. "s3.amazonaws.com"<br /> For more Information <a href="https://docs.aws.amazon.com/general/latest/gr/s3.html" target="_blank">Click here</a>';
$l['aws_region'] = 'S3 Region';
$l['aws_region_exp'] = 'Enter your S3 Region e.g. "us-east-1"<br />  For more Information <a href="https://docs.aws.amazon.com/general/latest/gr/s3.html" target="_blank">Click here</a>';
$l['aws_bucketname'] = 'S3 Bucket Name';
$l['aws_accessKey'] = 'S3 Access Key';
$l['aws_secretKey'] = 'S3 Secret Key';
$l['aws_backup_loc'] = 'S3 Backup Location (Optional)';
$l['aws_backup_loc_exp'] = 'Backup Directory e.g. /backups or you can leave empty to allow us to manage the backup directory';
$l['aws_bucketname_exp'] = 'Enter the S3 bucket name where you wish to create backups. If the bucket is not present, it will be created automatically<br /> For Bucket Naming Rules <a href="https://docs.aws.amazon.com/AmazonS3/latest/userguide/bucketnamingrules.html" target="_blank">Click here</a>';
$l['no_accessKey'] = 'Please provide the S3 access key';
$l['no_secretKey'] = 'Please provide the S3 secret key';
$l['no_endpoint'] = 'Please provide the S3 endpoint';
$l['no_region'] = 'Please provide the S3 region';
$l['no_bucket'] = 'Please provide the AWS S3 bucket name';
$l['create_bucket_failed'] = 'Failed to create bucket \'&soft-1;\'';
$l['show'] = "Show";
$l['hide'] = "Hide";
$l['internal_hostname'] = 'Internal hostname/IP';
$l['internal_hostname_exp'] = 'If set then first preference will be given to this hostname/IP for uploading backups (Optional)';