<?php

//////////////////////////////////////////////////////////////
//===========================================================
// vpsbackups_lang.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 2.1.9
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Julien
// Date:       26th July 2012
// Time:       15:33 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

$l['<title>'] = VM_SHORT.' Backups';

//Error strings
$l['err_ftp_connect'] = 'ERROR: There was an error connecting to the remote backup server';
$l['err_restore_vps'] = 'There was an error while starting the restore process';
$l['err_del_backup'] = 'There was an error while deleting the following backup';
$l['no_vid'] = 'Invalid vpsid specified';
$l['no_date'] = 'Invalid backup date specified';
$l['no_backups'] = 'There are no backups created yet in the current backup directory';
$l['no_backups_date'] = 'There are no backups for this date';
$l['err_process_running'] = 'There is already a restore process in progress';

//Theme strings
$l['vpsbackups'] = VM_SHORT.' Backups';
$l['name'] = 'Name';
$l['size'] = 'Size'; 
$l['restore'] = 'Restore';
$l['delete'] = 'Delete';
$l['select'] = 'Select....';
$l['submit'] = 'Sumit';
$l['sel_data'] = 'Select Backup date';
$l['restore_bg'] = 'The restore process has been started and is running in the background.';
$l['delete_bg'] = 'The backup has been deleted successfully';
$l['conf_res'] = 'Are you sure you want to restore this ?';
$l['conf_del'] = 'Are you sure you want to delete this ?';
$l['select_user'] = 'Select User';
$l['select_user_exp'] = 'Select the user for the '.VM_SHORT;
$l['hostname'] = 'Hostname';
$l['hostname_exp'] = 'Enter the hostname for the '.VM_SHORT.'. e.g. www.domain.com';
$l['no_hostname'] = 'Please enter a valid hostname';
$l['no_uid'] = 'Please select a valid user';

//Admin email '.VM_SHORT.' Restore END
$l['admin_vpsrestore_end_sub'] = VM_SHORT.' Restore Completed';
$l['admin_vpsrestore_end_body'] = 'Hi,

The '.VM_SHORT.' restore process has completed.
The following '.VM_SHORT.' has been successfully restored:-
{{vpsid}}
	  
Regards,
{{sn}}';

//Admin email '.VM_SHORT.' Restore ERROR
$l['admin_vpsrestore_err_sub'] = VM_SHORT.' Restore unsuccessful';
$l['admin_vpsrestore_err_body'] = 'Hi,

The following errors occured during the '.VM_SHORT.' Restore process. 
{{error_log}}
	Please refer to the '.V_LOG_DIR.'/virtualizor-restore.log for further info.
	  
Regards,
{{sn}}';


//Restore bg language strings
//Bg script string
$l['log_start'] = 'Starting restore process';
$l['log_createtemp_loc'] = 'Preparing temporary backup locations';
$l['log_connect'] = 'Connecting to the backup server';
$l['log_restore'] = 'Restoring '.VM_SHORT;
$l['log_cleaning'] = 'Cleaning up a bit';
$l['log_endemail'] = 'Send completion notification email';
$l['log_end'] = 'Restore Process completed';
$l['log_download'] = 'Downloading backup archive';
$l['log_abortclean'] = 'Cleaning after aborted restore process';
$l['log_vps_restore_done'] = 'Completed in';	
$l['log_vps_restore_script_done'] = 'Restore process completed in';
$l['log_restore_type'] = VM_SHORT.' restore type is ';

$l['log_err_createtemp_loc'] = 'ERROR: Unable to create the temporary backup locations';
$l['log_err_create_backup_folder'] = 'ERROR: Unable to create the backup folders';
$l['log_err_ssh_conn'] = 'ERROR: Unable to connect the server via SSH';
$l['log_err_ssh_send'] = 'ERROR: Unable to transfer backup to the Remote Server';
$l['log_err_ftp_connect'] = 'ERROR: Unable to connect the FTP server';
$l['log_err_create_restore'] = 'ERROR: Unable to restore the '.VM_SHORT;
$l['log_err_download'] = 'ERROR: Unable to download backup archive: Verify vpsid and backup date';
$l['log_err_local_move_backup'] = 'ERROR: Unable to move backup archive from /vz/dump to backup folder';
$l['log_err_cant_proceed'] = 'Restore process cannot proceed due to previous errors';
$l['log_err_end'] = 'Restore Process completed UNSUCCESSFULLY';
$l['log_err_filenotfound'] = 'File could not be found on the backup server';
$l['log_err_download_inf'] = 'ERROR: Unable to download INF file: Verify vpsid and backup date';
$l['create_backup_folder'] = 'Creating backup folder';
$l['chck_local_backup'] = 'Checking backup files';
$l['restore_new_vps'] = 'Restore To New '.VM_SHORT;
$l['conf_res_new'] = 'Are you sure you want to restore this to a new '.VM_SHORT.' ?';
$l['vps_does_not_exist'] = 'The '.VM_SHORT.' of this backup does not exist! Please click \'Restore to New '.VM_SHORT.'\' to create a new one.';
$l['err_inf'] = 'There was error while getting the backup information.';
$l['err_insert'] = 'There was an error while saving the new '.VM_SHORT.' information.';
$l['err_disk_create'] = 'Could not create the Disk for restoring the '.VM_SHORT.'.';
$l['err_edit'] = 'There was an error in editing the '.VM_SHORT;
$l['err_ret'] = 'Could not retrieve the Backup Directory. Please verify your '.VM_SHORT.' Backup Settings again or Check if the Settings are saved or not.';
$l['no_ipv4'] = 'Insufficient number of IPv4 addresses available.';
$l['err_save_slave'] = 'There was an error while saving the '.VM_SHORT.' Data on the slave. Please make sure that the Slave server is working.';
$l['err_create_tmp_folder'] = 'There was an error while creating temporary folder for INF file.';
$l['err_bkup_settings_notfound'] = 'Backup Settings not found';
$l['err_restore'] = 'There was an error while restoring the '.VM_SHORT.'. Please check the '.VM_SHORT.' Backup Logs to see the full information.';
$l['vps_virt_inv'] = 'The Virtualzation of the '.VM_SHORT.' to be restored is not supported by this server !';
$l['err_couldnt_edit'] = 'There was an error while setting configuration';
$l['fopen_failed'] = 'Unable to open the remote location for writing the backup data. Please make sure the Backup Location details and credentials are correct !!';
$l['etag_not_ret'] =  'ETAG was not returned from S3 server';
$l['etag_file_err'] = 'File upload failed! As we didn\'t recieve ETAG in the response from AWS.';
$l['upload_init_fail'] = 'Upload failed! Unable to initiate upload to AWS';
$l['upload_fail'] = 'Something went wrong! Unable to complete Upload.';
?>